Latest
curl --request GET \
--url https://api.themoviedb.org/3/movie/latest \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/latest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"adult": false,
"backdrop_path": null,
"belongs_to_collection": null,
"budget": 0,
"genres": [
{
"id": 53,
"name": "Thriller"
}
],
"homepage": "",
"id": 1415963,
"imdb_id": null,
"origin_country": [
"IN"
],
"original_language": "hi",
"original_title": "Anushka's Nishabdham",
"overview": "When a world-renowned cello player is found dead in a house that is assumed to be haunted, his well-wishers and the authorities investigate to see if it is really the work of a supernatural being.",
"popularity": 0,
"poster_path": null,
"production_companies": [],
"production_countries": [],
"release_date": "",
"revenue": 0,
"runtime": 102,
"spoken_languages": [
{
"english_name": "Hindi",
"iso_639_1": "hi",
"name": "हिन्दी"
}
],
"status": "Released",
"tagline": "",
"title": "Anushka's Nishabdham",
"video": false,
"vote_average": 0,
"vote_count": 0
}MOVIES
Latest
This endpoint gets the newest movie ID.
GET
/
3
/
movie
/
latest
Latest
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Latest Example
Example:
false
Example:
0
Show child attributes
Show child attributes
Example:
[{ "id": 53, "name": "Thriller" }]
Example:
""
Example:
1415963
Example:
["IN"]
Example:
"hi"
Example:
"Anushka's Nishabdham"
Example:
"When a world-renowned cello player is found dead in a house that is assumed to be haunted, his well-wishers and the authorities investigate to see if it is really the work of a supernatural being."
Example:
0
Example:
[]
Example:
[]
Example:
""
Example:
0
Example:
102
Show child attributes
Show child attributes
Example:
[
{
"english_name": "Hindi",
"iso_639_1": "hi",
"name": "हिन्दी"
}
]
Example:
"Released"
Example:
""
Example:
"Anushka's Nishabdham"
Example:
false
Example:
0
Example:
0